//
// Created by zyz on 2023/12/20.
//
#include <iostream>
#include <thread>
#include "Video/ScreenManager.h"
#include "Utils/PerformanceTool.h"
#include "Utils/Log.h"

void getInfo() {
    
    WinDevice::PerformanceTool performanceTool;
    
    while (true) {
        
        std::cout << "App CPU Usage: " << performanceTool.GetAppCpuUsage(L"XYWinQT.pak") << "%" << std::endl;

        // 每隔一秒采样一次（如果需要的话）
        std::this_thread::sleep_for(std::chrono::seconds(1));
    }
}

int main() {
    WinDevice::Log::Init(WinDevice::LogLevel::Debug, "");
    WinDevice::ScreenManager screenManager;
    screenManager.UpdateDisplayInfo();
//    getInfo();
    std::cout << "Press Enter to exit..." << std::endl; // 输出提示信息
    std::cin.get(); // 等待用户输入
    return 0;
}


